Add new comment

ArticleOpenCart и PHP7, почему пока не стоит переходить.

В последнее время получаю все больше писем о том, что "Мы перевели свой сервер на php 7 и ваши модули теперь не работают".

Да, php 7 - это очень круто, новая версия, работает быстрее, имеет кучу новых плюшек и т.д.
Но, не смотря на все это,  мой совет всем пользователям OpenCart: "Не стоит на данный момент переводить ваш OpenCart магазин на php 7!"
 

Как минимум по нескольким причинам:

  1. Сам OpenCart еще не поддерживает php 7. Раз нету официальной поддержки от разработчиков движка, то ипользовать это на рабочих сайтах крайне не рекомендуется. Конечно, поиграться можно, не не ставить на реальный рабочий сайт.
  2. Все разработчики должны придерживаться стандартов движка, поэтому все модули должны работать на тех конфигурациях, на которых работает сам OpenCart, но так как OpenCart php 7 не поддерживает то и модули этого делать не должны. Да, многие модули могут работать, но это не означает, что должны работать все. Разработчики не обязаны делать версии модуля для версий php, которые даже сам движок еще не поддерживает.
  3. Многие разработчики используют ionCube для кодирования файлов модулей, поэтому это также нужно учитывать, а кодировщики обычно очень медленно выпускают новые версии для новых версий php. ionCube буквально только на днях выпустил поддержку php 7, но лучше ее пока не использовать, так как она еще может быть не очень стабильной. Плюс для того, чтобы использовать php 7 в ionCube нужно: а) перекодировать все модули под уже шестой лоадер. б) этот же 6 лоадер должен быть установлен на хостинге, а хостеры обычно тоже не спешать обновлять ionCube лоадеры, некоторые клиенты мне еще недавно жаловались, что даже 5 версию их хостер не поддерживает, хотя ей уже года полтора.
 
Поэтому повторюсь, мой совет: "Не стоит пока еще использовать php 7 для OpenCart, потому что никто не сможет вам гарантировать работу и самого движка и модулей". 
 

Когда можно будет?

 
Когда будут выполнены 2 условия:
  1. поддержку php 7 добавят в OpenCart официально, возможно это произойдет с 3 версии, так как переводить всевозможные движки на php 7 сейчас стает модным.
  2. будет стабильная поддержк php 7 в ionCube и хостеры перейдут на 6 версию ionCube Loader-а.

Думаю, где-то через пол года ситуация может улучшиться по каждому из 2-х пунктов.
 
Tags: 

Filtered HTML ckeditor

Plain text

CAPTCHA
Spam protection
Image CAPTCHA
Enter the characters shown in the image.
You are reporting a typo in the following text:
Simply click the "Send typo report" button to complete the report. You can also include a comment.